Get dashboard configuration
GET /api
Also reachable at /api, /api.
Gets the dashboard configuration of the authenticated user for the current space
Path Parameters
spaceIdstring (required)
The ID of the space containing the resource(s).
Response
200 — The requested Dashboard Configuration
HideInactiveProjectsbooleanIdstring
Gets or sets a unique identifier for this resource.IncludedEnvironmentIdsarray of stringIncludedEnvironmentTagsarray of stringIncludedProjectGroupIdsarray of stringIncludedProjectIdsarray of stringIncludedProjectTagsarray of stringIncludedTenantIdsarray of stringIncludedTenantTagsarray of stringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectLimitintegerSpaceIdstring
Example Response
JSON
{
"HideInactiveProjects": true,
"Id": "string",
"IncludedEnvironmentIds": [
"string"
],
"IncludedEnvironmentTags": [
"string"
],
"IncludedProjectGroupIds": [
"string"
],
"IncludedProjectIds": [
"string"
],
"IncludedProjectTags": [
"string"
],
"IncludedTenantIds": [
"string"
],
"IncludedTenantTags": [
"string"
],
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectLimit": 0,
"SpaceId": "string"
}Modify dashboard configuration
PUT /api
Also reachable at /api, /api.
Modifies the dashboard configuration for the current user per space
Path Parameters
spaceIdstring (required)
The id of the space for the DashboardConfiguration.
Request Body
HideInactiveProjectsboolean
Whether to hide inactive projects on the dashboard.IncludedEnvironmentIdsarray of string
The ids of environments to be displayed on the dashboard.IncludedEnvironmentTagsarray of string
The canonical tag names of environments to display on the dashboard.IncludedProjectGroupIdsarray of string
The ids of project groups to be displayed on the dashboard.IncludedProjectIdsarray of string
The ids of projects to be displayed on the dashboard.IncludedProjectTagsarray of string
The canonical tag names of projects to display on the dashboard.IncludedTenantIdsarray of string
The ids of tenants to be displayed on the dashboard.IncludedTenantTagsarray of string
The canonical tag names to display on the dashboard.ProjectLimitinteger
The maximum number of projects to display on the dashboard.SpaceIdstring (required)
The id of the space for the DashboardConfiguration.
Response
200 — Confirmation that the Dashboard Configuration was modified, containing the new configuration
HideInactiveProjectsbooleanIdstring
Gets or sets a unique identifier for this resource.IncludedEnvironmentIdsarray of stringIncludedEnvironmentTagsarray of stringIncludedProjectGroupIdsarray of stringIncludedProjectIdsarray of stringIncludedProjectTagsarray of stringIncludedTenantIdsarray of stringIncludedTenantTagsarray of stringLastModifiedBystring
Gets or sets the username of the user who last modified this resource.LastModifiedOnstring
Gets or sets the date/time that this resource was last modified. Formatdate-time.Linksobject
Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.ProjectLimitintegerSpaceIdstring
Example Request
JSON
{
"HideInactiveProjects": true,
"IncludedEnvironmentIds": [
"string"
],
"IncludedEnvironmentTags": [
"string"
],
"IncludedProjectGroupIds": [
"string"
],
"IncludedProjectIds": [
"string"
],
"IncludedProjectTags": [
"string"
],
"IncludedTenantIds": [
"string"
],
"IncludedTenantTags": [
"string"
],
"ProjectLimit": 0,
"SpaceId": "string"
}Example Response
JSON
{
"HideInactiveProjects": true,
"Id": "string",
"IncludedEnvironmentIds": [
"string"
],
"IncludedEnvironmentTags": [
"string"
],
"IncludedProjectGroupIds": [
"string"
],
"IncludedProjectIds": [
"string"
],
"IncludedProjectTags": [
"string"
],
"IncludedTenantIds": [
"string"
],
"IncludedTenantTags": [
"string"
],
"LastModifiedBy": "string",
"LastModifiedOn": "2020-01-01T00:00:00.000Z",
"Links": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"ProjectLimit": 0,
"SpaceId": "string"
}